delete_tracking_number:
  url: "https://api.17track.net/track/v2/delete"
  method: POST
  headers:
    Content-Type: application/json
    17token: "EDF1008E0144FFCDE1D5E1D2AE59F5B6"
  payload: >
    {
      "number": "{{ tracking_number }}"
    }
  content_type: "application/json"

get_tracking_status:
  url: "https://api.17track.net/track/v2/gettrackinfo"
  method: POST
  headers:
    Content-Type: application/json
    17token: "EDF1008E0144FFCDE1D5E1D2AE59F5B6"
  payload: >
    {
      "number": "{{ tracking_number }}"
    }
  content_type: "application/json"

register_tracking_number:
  url: "https://api.17track.net/track/v2/register"
  method: POST
  headers:
    Content-Type: application/json
    17token: "EDF1008E0144FFCDE1D5E1D2AE59F5B6"
  payload: >
    {
      "number": "{{ tracking_number }}"",
      "remark": "{{ remark }}"",
      "auto_detection": true,
      "param": "47055"
    }
  content_type: "application/json"
